1

We're getting a lot of error messages on the console about missing JS libraries after minify the js in Magento 2.3.3 (on both frontend and admin). Apparently they are all related to jquery/ui-modules.

e.g.:

pub/static/adminhtml/Magento/backend/en_US/jquery/ui-modules/timepicker.js

pub/static/version/frontend/theme/en_IE/jquery-ui-modules/resizable.min.js net::ERR_ABORTED 404 (Not Found)

pub/static/version/frontend/theme/en_IE/jquery-ui-modules/slider.min.js net::ERR_ABORTED 404 (Not Found)

pub/static/version8/frontend/theme/en_IE/jquery-ui-modules/timepicker.min.js net::ERR_ABORTED 404 (Not Found)

3
1

I could not understand the issue scenario, however, I am trying to help in general. As I learn you are using Magento 2.3.3. In this Magento refactored jQuery/ui to separate widgets.(Details)

All you have to do edit requirejs-config.js as in

map: {
    '*': {
        'jquery/ui: 'jquery/compat'
    }
}

and in

paths: {
    'jquery-ui-modules': 'jquery/ui-modules',
}

I hope it will solve your issue.

0

Set proper file permission like

and then run below command to regenerate static contents

php bin/magento setup:static-content:deploy

and if multiple languages then add each language

php bin/magento setup:static-content:deploy en_US en_GB nl_NL

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.